import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import {OverviewComponent} from './overview/overview.component';
import {SelectGameComponent} from './select-game/select-game.component';
import {ErrorComponent} from './error/error.component';
import {GameComponent} from './game/game.component';

const routes: Routes = [
  {
    path: 'game/:sessionName/overview',
    component: OverviewComponent,
  },
  {
    path: 'game',
    component: GameComponent,
  },
  {
    path: '',
    component: SelectGameComponent,
  },
  {
    path: '**',
    component: ErrorComponent,
  }
];

@NgModule({
  imports: [RouterModule.forRoot(routes, {
    useHash: true,
    enableTracing: false,
    relativeLinkResolution: 'legacy'
  })],
  exports: [RouterModule]
})
export class AppRoutingModule { }
