import { Component, OnInit } from '@angular/core';
import {Router} from '@angular/router';
import {TabuMiddlewareService} from '../dao/TabuMiddlewareService';

@Component({
  selector: 'app-select-game',
  templateUrl: './select-game.component.html',
  styleUrls: ['./select-game.component.scss']
})
export class SelectGameComponent implements OnInit {

  buttonCreateGameDisabled = true;
  buttonJoinGameDisabled = true;
  constructor(private router: Router,
              private server: TabuMiddlewareService) { }

  ngOnInit(): void {
  }

  getSpielSessions(): any {
    console.log('Start');
    const response = this.server.getSpielSessions();
    console.log('Response:', response);
  }

  createGame(spielname: string): void {
    this.server.addSpielSession({"spielname": '' + spielname + ''}).then(value => {
      console.log(value);
      const status = JSON.parse(value.status);
      if (status) {
        this.router.navigate(['/game/' + spielname + '/overview']);
      }
    }).catch(reason => {
      console.log(reason);
      console.log('Es ist ein Fehler aufgetreten beim Erstellen eines neuen Spiels');
    });
  }

  joinGame(spielname: string): void {
    this.router.navigate(['/game/' + spielname + '/overview']);
  }

  keyPressAlphaNumeric(event: KeyboardEvent): boolean {
    if (/[a-zA-Z0-9]/.test(event.key)) {
      return true;
    } else {
      event.preventDefault();
      return false;
    }
  }

  checkSpielname(spielname: string): void {
    if (spielname.length === 0) {
      this.buttonCreateGameDisabled = true;
      this.buttonJoinGameDisabled = true;
      return;
    } else {
      this.server.isSpielSession({'spielname': spielname}).then(value => {
        console.log('Response: ', value.status);
        const status = JSON.parse(value.status);
        if (status) {
          this.buttonCreateGameDisabled = true;
          this.buttonJoinGameDisabled = false;
        } else {
          this.buttonCreateGameDisabled = false;
          this.buttonJoinGameDisabled = true;
        }
      });
    }
  }
}
